> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get full batch transfer information with transfer items by given ID

> This operation will respond with a batch transfer and a list of transfer items for the given batch transfer ID.



## OpenAPI

````yaml transfer get /v1/a2a/batches/{id}
openapi: 3.0.3
info:
  version: '1'
  title: Transfer API
  contact:
    name: Enfuce Financial Services
    url: https://enfuce.com
    email: info@enfuce.com
  x-logo:
    url: https://developer.enfuce.com/images/enfuce.svg
    altText: Enfuce logo
servers:
  - url: >-
      https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/transfer
  - url: https://integration-api-cat2.live.ext.prod.cia.enfuce.com/transfer
    description: Live environment
security: []
tags:
  - name: Account to account batch transfer
paths:
  /v1/a2a/batches/{id}:
    get:
      tags:
        - Account to account batch transfer
      summary: Get full batch transfer information with transfer items by given ID
      description: >-
        This operation will respond with a batch transfer and a list of transfer
        items for the given batch transfer ID.
      operationId: getAccountToAccountBatchTransfer
      parameters:
        - name: auditUser
          in: query
          description: The audit user to log the request
          required: true
          schema:
            type: string
        - name: id
          in: path
          description: The batch transfer ID to fetch
          required: true
          schema:
            type: string
        - name: exclusiveStartKey
          in: query
          description: >-
            Key used for transfer item pagination. Use values from
            lastEvaluatedKey returned by the response to fetch the next page.
          style: form
          explode: true
          required: false
          schema:
            type: object
            properties:
              batchTransferId:
                type: string
              status:
                type: string
              transferId:
                type: string
        - name: size
          in: query
          description: >-
            How many transfers should be returned per page, default is 25.
            Cannot be more than 50.
          schema:
            type: integer
            default: 25
            minimum: 1
            exclusiveMinimum: false
            maximum: 50
            exclusiveMaximum: false
      responses:
        '200':
          description: Successful lookup of batch transfer
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/batchTransferResponse'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      deprecated: false
components:
  schemas:
    batchTransferResponse:
      allOf:
        - $ref: '#/components/schemas/batchTransferResponseWithoutTransferItems'
        - type: object
          required:
            - transfers
          properties:
            transfers:
              type: object
              required:
                - size
                - items
              properties:
                lastEvaluatedKey:
                  type: object
                  required:
                    - batchTransferId
                    - status
                    - transferId
                  properties:
                    batchTransferId:
                      type: string
                    status:
                      type: string
                    transferId:
                      type: string
                  description: >-
                    Key used for pagination. Use these values in the request for
                    exclusiveStartKey to fetch the next page.
                size:
                  type: integer
                  description: Number of items returned in the response
                items:
                  type: array
                  description: An array of transfer items
                  items:
                    $ref: '#/components/schemas/batchTransferTransferItem'
      title: BatchTransferResponse
    batchTransferResponseWithoutTransferItems:
      allOf:
        - $ref: '#/components/schemas/createBatchTransferResponse'
        - type: object
          properties:
            completionTime:
              $ref: '#/components/schemas/dateTime'
              description: Batch transfer completion time.
              example: '2023-11-29T15:31:00'
            successfulTransferItems:
              type: integer
              description: Number of successful transfer items in the batch.
              example: 1
            failedTransferItems:
              type: integer
              description: Number of failed transfer items in the batch.
              example: 1
      title: BatchTransferResponseWithoutTransferItems
    batchTransferTransferItem:
      type: object
      required:
        - id
        - status
        - type
        - fromId
        - toId
        - amount
        - currency
      properties:
        id:
          type: string
          description: >-
            Enfuce generated id for transfer. Id is recorded to the add_info
            fields in the crediting and debiting transactions as reference
            (available in Data export transaction files).
        creditTransaction:
          $ref: '#/components/schemas/transactionInfo'
        debitTransaction:
          $ref: '#/components/schemas/transactionInfo'
        reversalTransaction:
          $ref: '#/components/schemas/transactionInfo'
        status:
          type: string
          enum:
            - COMPLETED
            - FAILED_BUT_REVERSED
            - DEBIT_FAILED
            - FAILED_BUT_NOT_REVERSED
          description: >-
            Final transfer status. `COMPLETED` - succsessfully completed
            transfer, debitTransaction and creditTransaction info will be
            returned. `DEBIT_FAILED` - failed to do debit transaction, aborting
            transfer. Failed debit transaction id will be returned.
            `FAILED_BUT_REVERSED` - failed to transfer money, but reversed debit
            transaction. Debit, credit and reversal info will be returned.
            `FAILED_BUT_NOT_REVERSED` - unexpected error. Debit part done,
            crediting - failed, and failed to reverse debit. Manual interaction
            is required to fix.
        type:
          type: string
          enum:
            - A2A
            - C2C
          x-enum-varnames:
            - A2A
            - C2C
          description: Transfer type. `A2A` - Account to account, `C2C` - Card to card.
          example: A2A
        fromId:
          type: string
          format: biginteger
          description: Id of account from which balance was debited
          example: '12345678'
        toId:
          type: string
          format: biginteger
          description: Id of account from which balance was credited
          example: '987654321'
        amount:
          type: number
          description: Transfer amount
          example: 100
        currency:
          type: string
          description: Currency of the amount in ISO 4217 (Alpha code) format
          pattern: '[A-Z]{3}'
          example: EUR
      title: BatchTransferTransferItem
    errorResponse:
      type: object
      properties:
        code:
          type: string
          description: An error code indicating what kind of error. I.e. HTTP error code
        message:
          type: string
          description: Error message in human-readable format
        id:
          type: string
          format: uuid
          description: Unique error identifier
        errorCode:
          type: string
          description: Enfuce code for a specific error type
        errorType:
          type: string
          description: Error type
          enum:
            - STATIC_VALIDATION_ERROR
            - DYNAMIC_VALIDATION_ERROR
            - INTEGRATION_ERROR
            - SECURITY_ERROR
            - UNEXPECTED_ERROR
        errorReason:
          type: string
          description: Free-form text explaining the error reason
        timestamp:
          type: string
          format: date-time
          description: Datetime when error occurred
    createBatchTransferResponse:
      type: object
      required:
        - id
        - status
        - startTime
        - transferItemCount
      properties:
        id:
          type: string
          description: Enfuce generated id for batch transfer.
          example: '11221122'
        status:
          type: string
          enum:
            - IN_PROGRESS
            - COMPLETED
            - FAILED
            - COMPLETED_WITH_ERRORS
          description: >-
            Batch transfer status. `IN_PROGRESS` - Successfully created but not
            yet complited batch transfer. `COMPLETED` - Successfully completed
            batch transfer. `FAILED` - Completely or partially failed batch
            transfer.
          example: IN_PROGRESS
        description:
          type: string
          description: Free form description.
          example: Test batch transfer
        startTime:
          $ref: '#/components/schemas/dateTime'
          description: Batch transfer start time.
          example: '2023-11-29T14:57:00'
        transferItemCount:
          type: integer
          description: Number of transfer items in the batch.
          example: 2
        totalAmount:
          type: object
          description: Map of total amount per currency.
          additionalProperties:
            type: number
          example:
            EUR: 100
            NOK: 150
      title: CreateBatchTransferResponse
    dateTime:
      type: string
      format: date-time
      example: '2019-01-28T00:00:00'
    transactionInfo:
      type: object
      properties:
        id:
          type: string
          format: biginteger
          description: transaction id
        errorMessage:
          type: string
          description: Contains short description of error if happened
  responses:
    '400':
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    '403':
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    '404':
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    '500':
      description: API is having problems
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'

````